# Interface ProjectedCRS

All Superinterfaces:
  `CoordinateReferenceSystem, GeneralDerivedCRS, IdentifiedObject, ReferenceSystem, SingleCRS`

All Known Implementing Classes:
  `DefaultProjectedCRS`

@UML(identifier="SC_ProjectedCRS", specification=ISO_19111) public interface ProjectedCRS extends GeneralDerivedCRS
A 2D coordinate reference system used to approximate the shape of the earth on a planar surface. It is done in such a way that the distortion that is inherent to the approximation is carefully controlled and known. Distortion correction is commonly applied to calculated bearings and distances to produce values that are a close match to actual field values.

Used with CS type(s)
`Cartesian`

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface IdentifiedObject

  `ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

  ### Fields inherited from interface ReferenceSystem

  `DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GeographicCRS`
  `getBaseCRS()`
  Returns the base coordinate reference system, which must be geographic.
  `Projection`
  `getConversionFromBase()`
  Returns the map projection from the base CRS to this CRS.
  `CartesianCS`
  `getCoordinateSystem()`
  Returns the coordinate system, which must be cartesian.
  `GeodeticDatum`
  `getDatum()`
  Returns the datum.

  ### Methods inherited from interface IdentifiedObject

  `getAlias, getIdentifiers, getName, getRemarks, toWKT`

  ### Methods inherited from interface ReferenceSystem

  `getDomainOfValidity, getScope`

- ## Method Details

  - ### getBaseCRS

    GeographicCRS getBaseCRS()
    Returns the base coordinate reference system, which must be geographic.
    Specified by:
      `getBaseCRS` in interface `GeneralDerivedCRS`
    Returns:
      The base coordinate reference system.

  - ### getConversionFromBase

    Projection getConversionFromBase()
    Returns the map projection from the base CRS to this CRS.
    Specified by:
      `getConversionFromBase` in interface `GeneralDerivedCRS`
    Returns:
      The conversion from the base CRS.

  - ### getCoordinateSystem

    @UML(identifier="coordinateSystem", obligation=MANDATORY, specification=ISO_19111) CartesianCS getCoordinateSystem()
    Returns the coordinate system, which must be cartesian.
    Specified by:
      `getCoordinateSystem` in interface `CoordinateReferenceSystem`
    Specified by:
      `getCoordinateSystem` in interface `SingleCRS`
    Returns:
      The coordinate system.

  - ### getDatum

    @UML(identifier="datum", obligation=MANDATORY, specification=ISO_19111) GeodeticDatum getDatum()
    Returns the datum.
    Specified by:
      `getDatum` in interface `SingleCRS`
    Returns:
      The datum.